Make IfaceAxiom typechecking lazier.
ClosedPublic

Authored by ezyang on Jul 15 2017, 6:23 PM.

Details

Summary

Fixes Trac #13803, but adds a note about a yet to be fixed Trac #13981.

Signed-off-by: Edward Z. Yang <ezyang@cs.stanford.edu>

Test Plan

validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ezyang created this revision.Jul 15 2017, 6:23 PM
simonpj added inline comments.
compiler/typecheck/FamInst.hs
459

We need a concrete example (or examples) demonstrating that both check-now and check-later are needed. Can't we always do 'later'?

bgamari requested changes to this revision.Jul 18 2017, 1:46 PM

Requesting changes due to @simonpj's request.

This revision now requires changes to proceed.Jul 18 2017, 1:46 PM
ezyang updated this revision to Diff 13232.Jul 18 2017, 7:25 PM

more comments

bgamari accepted this revision.Jul 20 2017, 7:51 AM

Okay, fair enough.

This revision is now accepted and ready to land.Jul 20 2017, 7:51 AM
This revision was automatically updated to reflect the committed changes.